application:setBackgroundColor(0x313942)
application:setKeepAwake(true)
local dx, dy, w, h = application:getDeviceSafeArea(true)

ScreenW = w+math.abs(dx)
ScreenH = h+math.abs(dy)

stage:setPosition(dx, dy)
function Sprite:animate(duration, target, ease)
	if (self.gt) then
		self.gt:setValues(target)
		self.gt:setDuration(duration)
		self.gt:setEase(ease)
		self.gt:setPosition(0)
		self.gt:setPaused(false)
	else
		ease = ease or easing.linear
		self.gt = GTween.new(self, duration, target, {ease=ease})
	end
end

function Sprite:stopAnimation()
	if (self.gt) then
		self.gt:setPosition(1)
		self.gt:setPaused(true)
	end
end

function randomFloat(lower, greater) return lower + math.random()  * (greater - lower) end

function choose(...) local t={...} return t[math.random(#t)] end

local scene = GameScene.new()
stage:addChild(scene)